# eric6.Helpviewer.OfflineStorage.OfflineStorageConfigDialog

Module implementing a dialog to configure the offline storage.

### Global Attributes

None

### Classes

OfflineStorageConfigDialog | Class implementing a dialog to configure the offline storage.

### Functions

None

## OfflineStorageConfigDialog

Class implementing a dialog to configure the offline storage.

### Derived from

QDialog, Ui_OfflineStorageConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

OfflineStorageConfigDialog | Constructor
on_showDatabasesButton_clicked | Private slot to show a dialog with all databases.
storeData | Public slot to store the configuration data.

### Static Methods

None

#### OfflineStorageConfigDialog (Constructor)

OfflineStorageConfigDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### OfflineStorageConfigDialog.on_showDatabasesButton_clicked

on_showDatabasesButton_clicked()

Private slot to show a dialog with all databases.

#### OfflineStorageConfigDialog.storeData

storeData()

Public slot to store the configuration data.

Up